Name:          jldap
Version:       4.6
Release:       1%{?dist}
Summary:       LDAP Class Libraries for Java
License:       OpenLDAP
URL:           http://www.openldap.org/jldap/
# git clone git://git.openldap.org/openldap-jldap.git jldap
# (cd jldap/ && git archive --format=tar --prefix=jldap-4.6/ MIGRATION_CVS2GIT | xz > ../jldap-4.6.tar.xz)
Source0:       %{name}-%{version}.tar.xz

BuildRequires: ant
BuildRequires: javapackages-local
BuildArch:     noarch

%description
The LDAP Class Libraries for Java (JLDAP) enable you
to write applications to access, manage, update, and
search for information stored in directories
accessible using LDAPv3. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

sed -i 's|target="1.2"|source="1.6" target="1.6"|' javac.xml

sed -i 's|Windowtitle="LDAP Classes"|Windowtitle="LDAP Classes" additionalparam="-Xdoclint:none"|' build.xml

# Use org.openspml:openspml:0.5
rm -r com/novell/ldap/spml com/novell/ldap/SPML*.java
# Use commons-httpclient:commons-httpclient:2.0.2
rm -r com/novell/ldap/Dsml*.java com/novell/ldap/DSML*.java com/novell/ldap/util/HttpRequestCallback.java

# fix non ASCII chars
for s in $(find -name "*.java");do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build

ant release docdeveloper

%install
%mvn_file com.novell.ldap:%{name} %{name}
%mvn_artifact com.novell.ldap:%{name}:%{version} lib/ldap.jar
%mvn_install -J doc

%files -f .mfiles
%doc README README.dsml
%license COPYRIGHT LICENSE LICENSE-2.0.1

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT LICENSE LICENSE-2.0.1

%changelog
* Wed Jul 15 2015 gil cattaneo <puntogil@libero.it> 4.6-1
- initial rpm
